# Monkey’s Audio

Monkey’s Audio streams with APEv2 tags.

Monkey’s Audio is a very efficient lossless audio compressor developed by Matt Ashland.

For more information, see http://www.monkeysaudio.com/.

class mutagen.monkeysaudio.MonkeysAudio(filething)

  Bases: `APEv2File`

  Parameters:

    filething (filething)

  info
    Type:

      `MonkeysAudioInfo`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.monkeysaudio.MonkeysAudioInfo

  Bases: `StreamInfo`

  Monkey’s Audio stream information.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bits_per_sample

    bits per sample

    Type:

      `int`

  version

    Monkey’s Audio stream version, as a float (eg: 3.99)

    Type:

      `float`

  pprint()
    Returns:

      Print stream information

    Return type:

      text